SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Device (Router/Bridge/Hub)  >   Brocade Switch Vendors:   Brocade Communications Systems
(Brocade Communications Systems Issues Fix for Brocade vRouter) libcurl Use-After-Free Connection Flaw May Let Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1037499
SecurityTracker URL:  http://securitytracker.com/id/1037499
CVE Reference:   CVE-2016-5421   (Links to External Site)
Date:  Dec 20 2016
Impact:   Execution of arbitrary code via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in libcurl. A local user can obtain elevated privileges on the target system. Brocade vRouter is affected.

A local user can cause an application to trigger a use-after-free connection flaw in the libcurl multi interface to cause the application to perform unintended actions. A local user may be able to exploit this to gain elevated privileges.

The curl command line tool is not affected.

The vendor was notified on July 3, 2016.

Marcelo Echeverria and Fernando Munoz reported this vulnerability.

Impact:   A local user may be able to obtain elevated privileges on the target system.
Solution:   Brocade Communications Systems has issued a fix for CVE-2016-5421 for Brocade vRouter (5.2R1).

The Brocade Communications Systems advisory is available at:

http://www.brocade.com/content/dam/common/documents/content-types/security-bulletin/brocade-security-advisory-2016-198.html

Vendor URL:  www.brocade.com/content/dam/common/documents/content-types/security-bulletin/brocade-security-advisory-2016-198.html (Links to External Site)
Cause:   Access control error, State error

Message History:   This archive entry is a follow-up to the message listed below.
Aug 4 2016 libcurl Use-After-Free Connection Flaw May Let Local Users Gain Elevated Privileges



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC